Re: video is not working on Ubuntu 11.10

Welcome to the Skype community. To get started please read our short welcome post. Thanks!
Reply

Re: video is not working on Ubuntu 11.10

I get the following error:

 

ERROR: ld.so: object '/usr/lib/i386-linux-gnu/libv4l/v4l1compat.so' from LD_PRELOAD cannot be preloaded: ignored.


rbcaddsvcs
Novel Adventurer
Kudos: 0
Posts: 3
Registered: 10-11-2011
Message 11 of 31 (9,282 Views)

Re: video is not working on Ubuntu 11.10

I'm running 10.10, had to reinstall because of a bad hard drive. Now skype refuses to see my video (cheese works fine). I'm using a capture card and it sees that (video1). It used to work just fine (old version?).

LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so /usr/bin/skype "$@"   starts up skype but still no video.

Col_Panek
Routine Adventurer
Kudos: 4
Posts: 19
Registered: 26-10-2011
Message 12 of 31 (9,217 Views)

Re: video is not working on Ubuntu 11.10

Oh, my sip client works great, but there's nobody to call because they're all on skype. sip:vandamme@ekiga.net.
Col_Panek
Routine Adventurer
Kudos: 4
Posts: 19
Registered: 26-10-2011
Message 13 of 31 (9,216 Views)

Re: video is not working on Ubuntu 11.10

I've got the same error. before I used ubuntu 10.10 ans with this line it worked. cheese working with no problem . and this bug exist form 9.04 . no body care . 

unclesam
Novel Adventurer
Kudos: 0
Posts: 2
Registered: 24-11-2011
Message 14 of 31 (9,059 Views)

Re: video is not working on Ubuntu 11.10

As seen on Ubuntu forums, and worked for me just now...


LD_PRELOAD=/usr/lib/i386-linux-gnu/libv4l/v4l1compat.so skype

 

This command will work only if you have 32-bit Oneiric installed. For 64-bit you must first:

sudo apt-get install libv4l-0:i386

 

...in order to obtain required 32-bit version of v4l1compat.so - then it works.

 

Pre-loading the 64-bit version does not work - you need the 32-bit version.

dennymeta
Novel Adventurer
Kudos: 2
Posts: 2
Registered: 03-12-2011
Message 15 of 31 (8,915 Views)

Re: video is not working on Ubuntu 11.10

Thanks, this solution worked for me! But why do we sometimes after going through an upgrade face these issues? Aaarrghh!

mydoghasworms
Novel Tourist
Kudos: 1
Posts: 1
Registered: 03-12-2011
Message 16 of 31 (8,887 Views)

Re: video is not working on Ubuntu 11.10

I found solution!
If you got this ERROR: ld.so: object '/usr/lib/i386-linux-gnu/libv4l/v4l1compat.so' from LD_PRELOAD cannot be preloaded: ignored.

just do this:
LD_PRELOAD=/usr/lib32/libv4l/v4l1compat.so skype
THIS IS FOR 64BIT SYSTEMS!
Z37
Novel Tourist
Kudos: 0
Posts: 1
Registered: 19-12-2011
Message 17 of 31 (8,571 Views)

Re: video is not working on Ubuntu 11.10

Works for me to on Sony VGN FJ 200 laptop, tnx

 

Big_Z
Novel Tourist
Kudos: 0
Posts: 1
Registered: 27-12-2011
Message 18 of 31 (8,375 Views)

Re: video is not working on Ubuntu 11.10

Hi,

 

I have no idea how to edit the Startup Applications or the Main Menu item for Skype in Ubuntu (I am using 11.10 64bit version), but there is simply workaround.

Skype entry in the Startup Applications or the Main Menu points to binary file /usr/bin/skype, so it is enough to modify this binary file in order to add needed startup parameter:

 

LD_PRELOAD=/usr/lib32/libv4l/v4l1compat.so

 

(You can use your version of LD_PRELOAD parameter: LD_PRELOAD=/usr/lib/i386-linux-gnu/libv4l/v4l1compat.so)

 

To do this perform following steps:

 

1. Rename original binary skype file:

 

sudo mv /usr/bin/skype /usr/bin/oldskype

 

2. Write following bash script and store it in file named skype:

 

#!/bin/bash

LD_PRELOAD=/usr/lib32/libv4l/v4l1compat.so oldskype

 

3. Add executive property to newly created file:

 

chmod +x skype

 

4. Copy script skype to /usr/bin

 

sudo cp skype /usr/bin

 

That's all :happy:, next when you run skype from Main Menu or just from console by typing skype the LD_PRELOAD parameter will be automatically added and video will be avialable.

 

BR,

 

esso

 

esso
Casual Tourist
Kudos: 1
Posts: 1
Registered: 03-01-2012
Message 19 of 31 (8,168 Views)

Re: video is not working on Ubuntu 11.10

I installed the previous version of skype and now everything works great! I use ubuntu 11.10! I have a small problem thought! How can i make skype not update to the new version?!
:happy: Smile....
fayeav
Novel Adventurer
Kudos: 1
Posts: 2
Registered: 03-01-2012
Message 20 of 31 (8,160 Views)
Reply

© 2014 Skype and/or Microsoft. The Skype name, associated trade marks and logos and the "S" logo are trade marks of Skype or related entities. Use of this website constitutes acceptance of the Terms of Use and Privacy and Cookie policy.

No emergency calls with Skype
Skype is not a replacement for your telephone and can't be used for emergency calling